// $Header: /cvsroot/esrg/sfesrg/esrgnxpj/sfnthcgi0304/rat_num.h,v 1.2 2003/07/01 04:05:48 dtashley Exp $
//
//********************************************************************************
//Copyright (C) 2003 David T. Ashley
//********************************************************************************
//This program or source file is free software; you can redistribute it and/or 
//modify it under the terms of the GNU General Public License as published by
//the Free Software Foundation; either version 2 of the License, or (at your 
//option) any later version.
//
//This program or source file is distributed in the hope that it will 
//be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.
//
//You may have received a copy of the GNU General Public License
//along with this program; if not, write to the Free Software
//Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//********************************************************************************
//
#ifndef RAT_NUM_H_INCLUDED
   #define RAT_NUM_H_INCLUDED

   #ifdef MODULE_RAT_NUM
      #define DECMOD_RAT_NUM
   #else
      #define DECMOD_RAT_NUM extern
   #endif
 
#if 0
   //CHARACTER CLASSIFICATION FUNCTIONS.
   DECMOD_RAT_NUM int RAT_NUM_is_digit(char c);
   DECMOD_RAT_NUM int RAT_NUM_digit_to_val(char digit);
#endif

   /****************************************************************/
   /***   VERSION CONTROL REPORTING FUNCTIONS   ********************/
   /****************************************************************/
   DECMOD_RAT_NUM const char *RAT_NUM_cvcinfo(void);
   DECMOD_RAT_NUM const char *RAT_NUM_hvcinfo(void);

   /* Preprocessor string to allow the H-file version to be
   ** compiled into the C-file.
   */
   #define RAT_NUM_H_VERSION ("$Header: /cvsroot/esrg/sfesrg/esrgnxpj/sfnthcgi0304/rat_num.h,v 1.2 2003/07/01 04:05:48 dtashley Exp $")

#endif /* RAT_NUM_H_INCLUDED */

//********************************************************************************
// $Log: rat_num.h,v $
// Revision 1.2  2003/07/01 04:05:48  dtashley
// Log file extra lines and typos corrected.
//
// Revision 1.1  2003/07/01 03:58:22  dtashley
// Addition of module RAT_NUM.
//********************************************************************************
// End of RAT_NUM.H. 
//********************************************************************************
