// $Header: /cvsroot/esrg/sfesrg/esrgnxpj/sfnthcgi0304/auxfuncs.h,v 1.2 2003/04/17 20:02:05 dtashley Exp $
//
//********************************************************************************
//Copyright (C) 2003 David T. Ashley
//********************************************************************************
//This program or source file is free software; you can redistribute it and/or 
//modify it under the terms of the GNU General Public License as published by
//the Free Software Foundation; either version 2 of the License, or (at your 
//option) any later version.
//
//This program or source file is distributed in the hope that it will 
//be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.
//
//You may have received a copy of the GNU General Public License
//along with this program; if not, write to the Free Software
//Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//********************************************************************************
//
#ifndef AUXFUNCS_H_INCLUDED
   #define AUXFUNCS_H_INCLUDED

   #ifdef MODULE_AUXFUNCS
      #define DECMOD_AUXFUNCS
   #else
      #define DECMOD_AUXFUNCS extern
   #endif
 
   //CHARACTER CLASSIFICATION FUNCTIONS.
   DECMOD_AUXFUNCS int AUXFUNCS_is_digit(char c);
   DECMOD_AUXFUNCS int AUXFUNCS_digit_to_val(char digit);

   //SIZE_T INTEGER FUNCTIONS.
   DECMOD_AUXFUNCS size_t AUXFUNCS_size_t_min(size_t a, size_t b);
   DECMOD_AUXFUNCS size_t AUXFUNCS_size_t_max(size_t a, size_t b);

   //CONTRACTING STRING FUNCTIONS.
   DECMOD_AUXFUNCS void AUXFUNCS_remove_non_digits(char *s);
   DECMOD_AUXFUNCS void AUXFUNCS_remove_leading_zeros(char *s);

   /****************************************************************/
   /***   VERSION CONTROL REPORTING FUNCTIONS   ********************/
   /****************************************************************/
   DECMOD_AUXFUNCS const char *AUXFUNCS_cvcinfo(void);
   DECMOD_AUXFUNCS const char *AUXFUNCS_hvcinfo(void);

   /* Preprocessor string to allow the H-file version to be
   ** compiled into the C-file.
   */
   #define AUXFUNCS_H_VERSION ("$Header: /cvsroot/esrg/sfesrg/esrgnxpj/sfnthcgi0304/auxfuncs.h,v 1.2 2003/04/17 20:02:05 dtashley Exp $")

#endif /* AUXFUNCS_H_INCLUDED */

//********************************************************************************
// $Log: auxfuncs.h,v $
// Revision 1.2  2003/04/17 20:02:05  dtashley
// License text for the GPL added.  All source files are now under the GPL,
// after some discussion on the GMP list.
//
// Revision 1.1  2003/04/13 23:46:06  dtashley
// Initial checkin.
//********************************************************************************
// End of AUXFUNCS.H. 
//********************************************************************************
