// $Header: /cvsroot/esrg/sfesrg/esrgnxpj/sfnthcgi0304/cf_decomp.h,v 1.2 2003/07/01 03:55:04 dtashley Exp $
//
//********************************************************************************
//Copyright (C) 2003 David T. Ashley
//********************************************************************************
//This program or source file is free software; you can redistribute it and/or 
//modify it under the terms of the GNU General Public License as published by
//the Free Software Foundation; either version 2 of the License, or (at your 
//option) any later version.
//
//This program or source file is distributed in the hope that it will 
//be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.
//
//You may have received a copy of the GNU General Public License
//along with this program; if not, write to the Free Software
//Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//********************************************************************************
//
#ifndef CF_DECOMP_H_INCLUDED
   #define CF_DECOMP_H_INCLUDED

   #ifdef MODULE_CF_DECOMP
      #define DECMOD_CF_DECOMP
   #else
      #define DECMOD_CF_DECOMP extern
   #endif
 
#if 0
   //CHARACTER CLASSIFICATION FUNCTIONS.
   DECMOD_CF_DECOMP int CF_DECOMP_is_digit(char c);
   DECMOD_CF_DECOMP int CF_DECOMP_digit_to_val(char digit);
#endif

   /****************************************************************/
   /***   VERSION CONTROL REPORTING FUNCTIONS   ********************/
   /****************************************************************/
   DECMOD_CF_DECOMP const char *CF_DECOMP_cvcinfo(void);
   DECMOD_CF_DECOMP const char *CF_DECOMP_hvcinfo(void);

   /* Preprocessor string to allow the H-file version to be
   ** compiled into the C-file.
   */
   #define CF_DECOMP_H_VERSION ("$Header: /cvsroot/esrg/sfesrg/esrgnxpj/sfnthcgi0304/cf_decomp.h,v 1.2 2003/07/01 03:55:04 dtashley Exp $")

#endif /* CF_DECOMP_H_INCLUDED */

//********************************************************************************
// $Log: cf_decomp.h,v $
// Revision 1.2  2003/07/01 03:55:04  dtashley
// Removal of extra log line.
//
// Revision 1.1  2003/07/01 03:53:28  dtashley
// Addition of module CF_DECOMP.
//********************************************************************************
// End of CF_DECOMP.H. 
//********************************************************************************
